Package com.independentsoft.office.spreadsheet

# Class SheetFormatProperties

java.lang.Object
com.independentsoft.office.spreadsheet.SheetFormatProperties

public class SheetFormatProperties extends Object
The Class SheetFormatProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SheetFormatProperties()`
  Instantiates a new sheet format properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SheetFormatProperties`
  `clone()`
  `int`
  `getBaseColumnWidth()`
  Gets the base column width.
  `int`
  `getCustomHeight()`
  Gets the custom height.
  `double`
  `getDefaultColumnWidth()`
  Gets the default column width.
  `double`
  `getDefaultRowHeight()`
  Gets the default row height.
  `double`
  `getDescent()`
  Gets the default vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (`x14ac:dyDescent`), or -1 if not set.
  `int`
  `getOutlineLevelColumn()`
  Gets the outline level column.
  `int`
  `getOutlineLevelRow()`
  Gets the outline level row.
  `boolean`
  `hasThickBottomBorder()`
  Checks for thick bottom border.
  `boolean`
  `hasThickTopBorder()`
  Checks for thick top border.
  `boolean`
  `isHiddenByDefault()`
  Checks if is hidden by default.
  `void`
  `setBaseColumnWidth​(int baseColumnWidth)`
  Sets the base column width.
  `void`
  `setCustomHeight​(int customHeight)`
  Sets the custom height.
  `void`
  `setDefaultColumnWidth​(double defaultColumnWidth)`
  Sets the default column width.
  `void`
  `setDefaultRowHeight​(double defaultRowHeight)`
  Sets the default row height.
  `void`
  `setDescent​(double descent)`
  Sets the default vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (`x14ac:dyDescent`).
  `void`
  `setHiddenByDefault​(boolean hiddenByDefault)`
  Sets the hidden by default.
  `void`
  `setOutlineLevelColumn​(int outlineLevelColumn)`
  Sets the outline level column.
  `void`
  `setOutlineLevelRow​(int outlineLevelRow)`
  Sets the outline level row.
  `void`
  `setThickBottomBorder​(boolean hasThickBottomBorder)`
  Sets the thick bottom border.
  `void`
  `setThickTopBorder​(boolean hasThickTopBorder)`
  Sets the thick top border.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SheetFormatProperties

    public SheetFormatProperties()
    Instantiates a new sheet format properties.

- ## Method Details

  - ### clone

    public SheetFormatProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBaseColumnWidth

    public int getBaseColumnWidth()
    Gets the base column width.
    Returns:
      the base column width

  - ### setBaseColumnWidth

    public void setBaseColumnWidth​(int baseColumnWidth)
    Sets the base column width.
    Parameters:
      `baseColumnWidth` - the new base column width

  - ### getCustomHeight

    public int getCustomHeight()
    Gets the custom height.
    Returns:
      the custom height

  - ### setCustomHeight

    public void setCustomHeight​(int customHeight)
    Sets the custom height.
    Parameters:
      `customHeight` - the new custom height

  - ### getDefaultColumnWidth

    public double getDefaultColumnWidth()
    Gets the default column width.
    Returns:
      the default column width

  - ### setDefaultColumnWidth

    public void setDefaultColumnWidth​(double defaultColumnWidth)
    Sets the default column width.
    Parameters:
      `defaultColumnWidth` - the new default column width

  - ### getDefaultRowHeight

    public double getDefaultRowHeight()
    Gets the default row height.
    Returns:
      the default row height

  - ### setDefaultRowHeight

    public void setDefaultRowHeight​(double defaultRowHeight)
    Sets the default row height.
    Parameters:
      `defaultRowHeight` - the new default row height

  - ### getDescent

    public double getDescent()
    Gets the default vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (`x14ac:dyDescent`), or -1 if not set.
    Returns:
      the descent

  - ### setDescent

    public void setDescent​(double descent)
    Sets the default vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (`x14ac:dyDescent`).
    Parameters:
      `descent` - the new descent

  - ### getOutlineLevelColumn

    public int getOutlineLevelColumn()
    Gets the outline level column.
    Returns:
      the outline level column

  - ### setOutlineLevelColumn

    public void setOutlineLevelColumn​(int outlineLevelColumn)
    Sets the outline level column.
    Parameters:
      `outlineLevelColumn` - the new outline level column

  - ### getOutlineLevelRow

    public int getOutlineLevelRow()
    Gets the outline level row.
    Returns:
      the outline level row

  - ### setOutlineLevelRow

    public void setOutlineLevelRow​(int outlineLevelRow)
    Sets the outline level row.
    Parameters:
      `outlineLevelRow` - the new outline level row

  - ### hasThickBottomBorder

    public boolean hasThickBottomBorder()
    Checks for thick bottom border.
    Returns:
      true, if successful

  - ### setThickBottomBorder

    public void setThickBottomBorder​(boolean hasThickBottomBorder)
    Sets the thick bottom border.
    Parameters:
      `hasThickBottomBorder` - the new thick bottom border

  - ### hasThickTopBorder

    public boolean hasThickTopBorder()
    Checks for thick top border.
    Returns:
      true, if successful

  - ### setThickTopBorder

    public void setThickTopBorder​(boolean hasThickTopBorder)
    Sets the thick top border.
    Parameters:
      `hasThickTopBorder` - the new thick top border

  - ### isHiddenByDefault

    public boolean isHiddenByDefault()
    Checks if is hidden by default.
    Returns:
      true, if is hidden by default

  - ### setHiddenByDefault

    public void setHiddenByDefault​(boolean hiddenByDefault)
    Sets the hidden by default.
    Parameters:
      `hiddenByDefault` - the new hidden by default